#
# spec file for package python
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global modname repoze.sphinx.autointerface

Name:           python-%{modname}
Version:        0.8
Release:        lp150.1.7
Url:            http://www.repoze.org
Summary:        Sphinx extension: auto-generates API docs from Zope interfaces
License:        SUSE-Repoze
Group:          Development/Languages/Python
Source:         https://pypi.io/packages/source/r/%{modname}/%{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx
Requires:       python-zope.interface
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%python_subpackages

%description
Thie package defines an extension for the Sphinx documentation system. The
extension allows generation of API documentation by introspection of
zope.interface instances in code.

%prep
%setup -q -n %{modname}-%{version}

%build
%python_build

%install
%python_install
%fdupes %{buildroot}%{_prefix}

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{python_sitelib}/*

%changelog
* Fri Jun 16 2017 okurz@suse.com
- Update to 0.8
- Prevent duplicate files installed with fdupes
- Use https pypi.io URL for Factory submission
* Sat Mar 11 2017 okurz@suse.com
- Convert package to singlespec
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Aug  5 2013 cfarrell@suse.com
- license update: SUSE-Repoze
  See the spreadsheet linked from license.opensuse.org
* Sun Jul 28 2013 hpj@urpla.net
- update to version 0.7.1
* Wed Feb  1 2012 saschpe@suse.de
- Initial version
